Look up a company in the directory
France onlyUse the AFNOR directory to look up and validate a French company using its SIREN or SIRET. You can also check whether the company has a directory line or routing code that must be used to address an invoice.
Prerequisites
- You know the company's SIREN or SIRET.
Step 1: Look up the company
Use the SIRET search to look up a specific establishment, or the SIREN search to look up the legal entity.
SIRET
Endpoint: /network/documents/spaces/connectors/afnor/v1/siret/search
Note: You can also use this endpoint to retrieve a facility directly by its SIRET.
Requires a JSON request body.
curl -L 'https://{{serverURL}}/network/documents/spaces/connectors/afnor/v1/siret/search' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-d '{
"filters": {
"siret": {
"op": "strict",
"value": "41040946100758"
}
},
"fields": [
"siret",
"siren",
"name",
"facilityType",
"administrativeStatus",
"siretInstructions",
"address",
"pmStatus",
"pmOnly",
"managesPaymentStatus",
"managesLegalCommitment",
"managesLegalCommitmentOrService",
"serviceCodeStatus"
],
"include": [
"siren"
],
"limit": 50,
"ignore": 0
}'
Successful response:
{
"search": {
"filters": {
"siret": {
"op": "strict",
"value": "41040946100758"
}
},
"fields": [
"siret",
"siren",
"name",
"facilityType",
"administrativeStatus",
"siretInstructions",
"address",
"pmStatus",
"pmOnly",
"managesPaymentStatus",
"managesLegalCommitment",
"managesLegalCommitmentOrService",
"serviceCodeStatus"
],
"include": [
"siren"
],
"limit": 50,
"ignore": 0
},
"totalNumberOfResults": 1,
"results": [
{
"siret": "41040946100758",
"siren": "410409461",
"name": "Coffee beans - 59491 - VILLENEUVE - 20 RUE DE LA RECHERCHE",
"facilityType": "P",
"administrativeStatus": "A",
"siretInstructions": {
"isSalesProspectingForbidden": false
},
"address": {
"addressLine1": "20 RUE DE LA RECHERCHE",
"postalCode": "59491",
"locality": "VILLENEUVE",
"countryCode": "FR",
"countryName": "France"
},
"legalUnit": {
"siren": "410409461",
"businessName": "Coffee beans",
"entityType": "PrivateVatRegistered",
"administrativeStatus": "A",
"instructions": {
"isSalesProspectingForbidden": false
}
}
}
]
}
SIREN
Endpoint: network/documents/spaces/connectors/afnor/v1/siren/search
Note: You can also use this endpoint to retrieve a company directly by its SIREN.
Requires a JSON request body.
curl -L 'https://{{serverURL}}/network/documents/spaces/connectors/afnor/v1/siren/search' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-d '{
"filters": {
"siren": {
"op": "strict",
"value": "410409461"
}
},
"fields": [
"siren",
"businessName",
"entityType",
"administrativeStatus",
"instructions"
],
"include": [
"siret"
]
}'
Successful response:
{
"search": {
"filters": {
"siren": {
"op": "strict",
"value": "410409461"
}
},
"fields": [
"siren",
"businessName",
"entityType",
"administrativeStatus",
"instructions"
]
},
"totalNumberOfResults": 1,
"results": [
{
"siren": "410409461",
"businessName": "Coffee beans",
"entityType": "PrivateVatRegistered",
"administrativeStatus": "A",
"instructions": {
"isSalesProspectingForbidden": false
}
}
]
}
Step 2: Check directory addressing
If you need to determine the directory addressing information for the company, search for a directory line.
The addressingIdentifier uniquely identifies a directory line. A directory line can identify a recipient at the SIREN, SIREN/SIRET, or SIREN/SIRET/routing-identifier level.
Endpoint: /network/documents/spaces/connectors/afnor/v1/directory-line/search
Requires a JSON request body.
curl -L 'https://{{serverURL}}/network/documents/spaces/connectors/afnor/v1/directory-line/search' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-d '{
"fields": [
"addressingIdentifier"
],
"filters": {
"siren": {
"op": "strict",
"value": "410409461"
},
"siret": {
"op": "strict",
"value": "41040946100758"
}
},
"ignore": 0,
"include": [
"siren"
],
"limit": 1,
"sorting": [
{
"field": "addressingIdentifier",
"sortingOrder": "ascending"
}
]
}'
Successful response: The response contains the addressingIdentifier for the directory line. You can use this identifier in subsequent directory queries. It is not required when submitting an invoice.
{
"search": {
"filters": {
"siren": {
"op": "strict",
"value": "410409461"
},
"siret": {
"op": "strict",
"value": "41040946100758"
}
},
"sorting": [
{
"field": "addressingIdentifier",
"sortingOrder": "ascending"
}
],
"fields": [
"addressingIdentifier"
],
"include": [
"siren"
],
"limit": 1,
"ignore": 0
},
"totalNumberOfResults": 1,
"results": [
{
"addressingIdentifier": "410409461_41040946100758",
"legalUnit": {
"siren": "410409461",
"businessName": "Coffee beans",
"entityType": "PrivateVatRegistered",
"administrativeStatus": "A",
"instructions": {
"isSalesProspectingForbidden": false
}
}
}
]
}
Step 3: Check routing code
If the company uses departmental or service-level routing, search for the routing identifier associated with the company's SIRET.
Endpoint: /network/documents/spaces/connectors/afnor/v1/routing-code/search
Requires a JSON request body.
curl -L 'https://{{serverURL}}/network/documents/spaces/connectors/afnor/v1/routing-code/search' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-d '{
"filters": {
"siret": {
"op": "strict",
"value": "41040946100758"
}
},
"ignore": 0,
"include": [
"siren"
],
"limit": 10,
"sorting": [
{
"field": "siret",
"order": "ascending"
}
]
}'
Successful response: Save the routingIdentifier returned in the response for further use.
{
"search": {
"filters": {
"siret": {
"op": "strict",
"value": "41040946100758"
}
},
"sorting": [
{
"field": "siret",
"order": "ascending"
}
],
"include": [
"siren"
],
"limit": 10,
"ignore": 0
},
"totalNumberOfResults": 1,
"results": [
{
"routingIdentifier": "CGFDJUS034",
"siret": "41040946100758",
"routingIdentifierType": "0224",
"routingCodeName": "Coffee beans",
"managesLegalCommitmentCode": true,
"administrativeStatus": "A",
"address": {
"addressLine1": "20 RUE DE LA RECHERCHE",
"postalCode": "59491",
"locality": "VILLENEUVE",
"countryCode": "FR",
"countryName": "France"
},
"legalUnit": {
"siren": "410409461",
"businessName": "Coffee beans",
"entityType": "PrivateVatRegistered",
"administrativeStatus": "A",
"instructions": {
"isSalesProspectingForbidden": false
}
}
}
]
}